Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.explang
Interface EvaluationContext

All Known Implementing Classes:
  ExprEvaluationContextImpl, PropertyAliasEvaluationContext

    public interface EvaluationContext

Context for evaluating expressions. Implementations of the `ExpressionLanguageRuntime` interface use this interface to access BPEL variables, property sets and link statuses.

Method Summary
`org.w3c.dom.Node` | `evaluateQuery(org.w3c.dom.Node root, OExpression expr)` Evaluate a query expression.
`java.net.URI` | `getBaseResourceURI()` Retrieves the base URI that the BPEL Process execution contextis running relative to.
`org.w3c.dom.Node` | `getPartData(org.w3c.dom.Element message, OMessageVarType.Part part)`
`java.lang.Long` | `getProcessId()` Reads the current process instance id.
`javax.xml.namespace.QName` | `getProcessQName()` Reads the current process's name.
`org.w3c.dom.Node` | `getPropertyValue(javax.xml.namespace.QName propertyName)` Retrieves the property value that has been defined for this BPEL Process type.
`org.w3c.dom.Node` | `getRootNode()` Obtain the root node.
`boolean` | `isLinkActive(OLink olink)` Obtain the status of a control link.
`boolean` | `narrowTypes()` Indicates whether simple types should be narrowed to a Java type when using this evaluation context.
`java.lang.String` | `readMessageProperty(OScope.Variable variable, OProcess.OProperty property)` Read the value of a BPEL property.
`org.w3c.dom.Node` | `readVariable(OScope.Variable variable, OMessageVarType.Part part)` Read the value of a BPEL variable.

Method Detail

### readVariable

    org.w3c.dom.Node readVariable(OScope.Variable variable,
                                  OMessageVarType.Part part)
                                  throws FaultException

  Read the value of a BPEL variable.

  Parameters:
    `variable` - variable to read
    `part` - the part (or `null`)
  Returns:
    the value of the variable, wrapped in a `Node`
  Throws:
    `FaultException`

### getPartData

    org.w3c.dom.Node getPartData(org.w3c.dom.Element message,
                                 OMessageVarType.Part part)
                                 throws FaultException

  Throws:
    `FaultException`

### readMessageProperty

    java.lang.String readMessageProperty(OScope.Variable variable,
                                         OProcess.OProperty property)
                                         throws FaultException

  Read the value of a BPEL property.

  Parameters:
    `variable` - variable containing property
    `property` - property to read
  Returns:
    value of the property
  Throws:
    `FaultException`

### isLinkActive

    boolean isLinkActive(OLink olink)
                         throws FaultException

  Obtain the status of a control link.

  Parameters:
    `olink` - link to check
  Returns:
    `true` if the link is active, `false` otherwise.
  Throws:
    `FaultException`

### getRootNode

    org.w3c.dom.Node getRootNode()

  Obtain the root node.

  Returns:
    root node

### evaluateQuery

    org.w3c.dom.Node evaluateQuery(org.w3c.dom.Node root,
                                   OExpression expr)
                                   throws FaultException,
                                          EvaluationException

  Evaluate a query expression.

  Parameters:
    `root` - the root context
    `expr` - the query expression
  Returns:
    node returned by query
  Throws:
    `FaultException`
    `EvaluationException`

### getProcessId

    java.lang.Long getProcessId()

  Reads the current process instance id.

  Returns:
    instance id

### getProcessQName

    javax.xml.namespace.QName getProcessQName()

  Reads the current process's name.

  Returns:
    process name

### narrowTypes

    boolean narrowTypes()

  Indicates whether simple types should be narrowed to a Java type when using this evaluation context.

### getBaseResourceURI

    java.net.URI getBaseResourceURI()

  Retrieves the base URI that the BPEL Process execution contextis running relative to.

  Returns:
    URI - the URI representing the absolute physical file path location that this process is defined within.

### getPropertyValue

    org.w3c.dom.Node getPropertyValue(javax.xml.namespace.QName propertyName)

  Retrieves the property value that has been defined for this BPEL Process type.

  Returns:
    propertyValue - the value corresponding to the process property name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD